=== debian/changelog ===
ros-ardent-rosidl-generator-py (0.4.1-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 Feb 2018 00:16:48 -0000
